com.versionone.apiclient

## Class APIConfiguration

- java.lang.Object
- - com.versionone.apiclient.APIConfiguration

- All Implemented Interfaces:
    IAPIConfiguration

      public class APIConfiguration
      extends Object
      implements IAPIConfiguration

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `APIConfiguration()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getConfigUrl()`
    `String` | `getDataUrl()`
    `String` | `getMetaUrl()`
    `String` | `getProxyPassword()`
    `String` | `getProxyUrl()`
    `String` | `getProxyUserName()`
    `String` | `getV1Password()`
    `String` | `getV1Url()`
    `String` | `getV1UserName()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### APIConfiguration

          public APIConfiguration()
                           throws IOException

      Throws:
        `IOException`

  - ### Method Detail

    - #### getV1Url

          public String getV1Url()

      Specified by:
        `getV1Url` in interface `IAPIConfiguration`

    - #### getDataUrl

          public String getDataUrl()

      Specified by:
        `getDataUrl` in interface `IAPIConfiguration`

    - #### getMetaUrl

          public String getMetaUrl()

      Specified by:
        `getMetaUrl` in interface `IAPIConfiguration`

    - #### getConfigUrl

          public String getConfigUrl()

      Specified by:
        `getConfigUrl` in interface `IAPIConfiguration`

    - #### getV1UserName

          public String getV1UserName()

      Specified by:
        `getV1UserName` in interface `IAPIConfiguration`

    - #### getV1Password

          public String getV1Password()

      Specified by:
        `getV1Password` in interface `IAPIConfiguration`

    - #### getProxyUrl

          public String getProxyUrl()

      Specified by:
        `getProxyUrl` in interface `IAPIConfiguration`

    - #### getProxyUserName

          public String getProxyUserName()

      Specified by:
        `getProxyUserName` in interface `IAPIConfiguration`

    - #### getProxyPassword

          public String getProxyPassword()

      Specified by:
        `getProxyPassword` in interface `IAPIConfiguration`

Copyright © 2020 VersionOne, Inc.. All rights reserved.